Package weka.classifiers.bayes

# Class DMNBtext.DNBBinary

java.lang.Object
weka.classifiers.bayes.DMNBtext.DNBBinary

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `DMNBtext`

public class DMNBtext.DNBBinary extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DNBBinary()`

## Method Summary

Modifier and Type
Method
Description
`double[]`
`distributionForInstance(Instance instance)`
Calculates the class membership probabilities for the given test instance.
`double`
`getLogProbForTargetClass(Instance ins)`
Calculates the class membership probabilities for the given test instance.
`int`
`getTargetClass()`
Gets the Target Class
`void`
`initClassifier(Instances instances)`
`void`
`setTargetClass(int targetClass)`
Sets the Target Class
`String`
`toString()`
Returns a string representation of the classifier.
`void`
`updateClassifier(Instance ins)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DNBBinary

public DNBBinary()

## Method Details

### initClassifier

public void initClassifier(Instances instances) throws Exception

Throws:
  `Exception`

### updateClassifier

public void updateClassifier(Instance ins) throws Exception

Throws:
  `Exception`

### getLogProbForTargetClass

public double getLogProbForTargetClass(Instance ins) throws Exception
Calculates the class membership probabilities for the given test instance.

Parameters:
  `instance` - the instance to be classified
Returns:
  predicted class probability distribution
Throws:
  `Exception` - if there is a problem generating the prediction

### distributionForInstance

public double[] distributionForInstance(Instance instance) throws Exception
Calculates the class membership probabilities for the given test instance.

Parameters:
  `instance` - the instance to be classified
Returns:
  predicted class probability distribution
Throws:
  `Exception` - if there is a problem generating the prediction

### toString

public String toString()
Returns a string representation of the classifier.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of the classifier

### setTargetClass

public void setTargetClass(int targetClass)
Sets the Target Class

### getTargetClass

public int getTargetClass()
Gets the Target Class

Returns:
  the Target Class Index